> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/zmienne-sesyjne/predefiniowane-zmienne-sesyjne.md).

# Predefined session variables

## Introduction

Each application template has a set of predefined session variables. These variables are visible at the application design stage. The application designer cannot edit or delete these variables. The purpose of these variables is to carry basic information collected while the end user fills out the application. This data is automatically completed by the application displaying the form and saved in the repository.

## List of system variables

Below are the system variables and their purpose:

* `abandonTime` - the time when the application was abandoned
* `channel` - the channel through which the user fills out the application (web, mobile)
* `channelDescription` - channel description (desktop: web, mobile: mobile, native app: APP\_Mobile)
* `currentPageId` - the number of the currently displayed page
* `currentPageMid` - mid of the displayed page
* `cvc` - parameter displaying the application in a different view, allows additional fields to be placed next to the application
* `domain` - domain of the launched application (host name only, e.g. `form.consdata.com`)
* `finishTime` - the time when the user submitted the application
* `finishTimeAfterPayment` - the time when the user submitted the application after payment
* `formId` - the application name
* `formInstanceNumber` - the application number
* `ip` - the user's IP address
* `operatingSystem` - the name of the operating system (according to the documentation <https://github.com/lancedikson/bowser/blob/1.7.3/README.md> - for GWT a simplified system detection mechanism is used)
* `paymentResult` - the variable indicates whether the payment was successful (used for payment handling functionality handled by external services)
* `startTime` - the time when the user started filling out the application
* `userAgent` - the name of the client application
* `visitedPages` - sequence of visited pages
* `__userEmail__` - the value of the field with the email address of the user indicated in the contact section on the application properties page
* `externalFormContextId` - external application context identifier (case identifier)
* `businessFormIdentifier` - identifier displayed on the application view, by default the application number
* `SESSIONKEY` - session identifier
* `browserName` - web browser name
* `cmisObjectId` - stores the identifier that allows the application to be retrieved
* `internalAuthenticationMethod` - authentication method used in a given activity
* `internalAuthenticationPhoneNumber` - phone number to which the SMS was sent / phone number with the authentication app (OTP-SMS, OPT-PRINTED, MOBILE-APPLICATION)
* `seller` - seller identifier directing to the application in the mobile app


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/zmienne-sesyjne/predefiniowane-zmienne-sesyjne.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
